Cyberduck Mountain Duck CLI

#9479 closed defect (fixed)

Cannot transfer files with AWS4 authentication that have @ in the name

Reported by: camason Owned by: dkocher
Priority: normal Milestone: 5.0
Component: s3 Version: 4.9
Severity: normal Keywords:
Cc: Architecture:
Platform: Mac OS X 10.11

Description

Given the following list of files (all copies of one file) and connecting to region eu-central-1:

image.jpg
image@.jpg
image@2.jpg
image@2x.jpg
image2x.jpg

I cannot upload (or download) the following:

image@.jpg
image@2.jpg
image@2x.jpg

The error is:

Upload image@… failed. The request signature we calculated does not match the signature you provided. Check your key and signing method. Please contact your web hosting service provider for assistance.

The same operation in any other S3 region completes without error.

Change History (5)

comment:1 Changed on Apr 21, 2016 at 4:17:16 PM by dkocher

  • Milestone set to 5.0
  • Status changed from new to assigned

comment:2 Changed on Apr 26, 2016 at 5:02:38 PM by dkocher

  • Summary changed from Cannot download files from S3 (Frankfurt) that have @ in the name to Cannot download files with AWS4 authentication that have @ in the name

comment:3 Changed on Apr 26, 2016 at 5:25:49 PM by camason

  • Summary changed from Cannot download files with AWS4 authentication that have @ in the name to Cannot transfer files with AWS4 authentication that have @ in the name

comment:4 Changed on Apr 26, 2016 at 5:27:27 PM by camason

Let me know if I can be of any assistance with this, either access or testing. Cyberduck is the only (reliable) app that can connect to Frankfurt S3, and this issue actually means we can't use it in our workflow currently. We're resorting to uploading via the web console. Many thanks

comment:5 Changed on May 10, 2016 at 3:08:08 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r20383.

Note: See TracTickets for help on using tickets.
swiss made software